org.apache.ignite.internal.client.impl.connection

## Class GridClientConnectionManagerOsImpl

- java.lang.Object
- - org.apache.ignite.internal.client.impl.connection.GridClientConnectionManagerAdapter
  - - org.apache.ignite.internal.client.impl.connection.GridClientConnectionManagerOsImpl

All Implemented Interfaces:
  GridClientConnectionManager

    public class GridClientConnectionManagerOsImpl
    extends GridClientConnectionManagerAdapter

Open source version of connection manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.client.impl.connection.GridClientConnectionManagerAdapter

`cfg`

### Constructor Summary

Constructors
Constructor and Description
`GridClientConnectionManagerOsImpl(UUID clientId, SSLContext sslCtx, GridClientConfiguration cfg, Collection<InetSocketAddress> routers, GridClientTopology top, Byte marshId, boolean routerClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `init0()` Additional initialization.

### Methods inherited from class org.apache.ignite.internal.client.impl.connection.GridClientConnectionManagerAdapter

`connect, connect, connection, connection, init, stop, terminateConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridClientConnectionManagerOsImpl

    public GridClientConnectionManagerOsImpl(UUID clientId,
                                             SSLContext sslCtx,
                                             GridClientConfiguration cfg,
                                             Collection<InetSocketAddress> routers,
                                             GridClientTopology top,
                                             Byte marshId,
                                             boolean routerClient)
                                      throws GridClientException

Parameters:
  `clientId` - Client ID.
  `sslCtx` - SSL context to enable secured connection or `null` to use unsecured one.
  `cfg` - Client configuration.
  `routers` - Routers or empty collection to use endpoints from topology info.
  `top` - Topology.
Throws:
  `GridClientException` - In case of error.

### Method Detail

#### init0

    protected void init0()
                  throws GridClientException

Additional initialization.

Specified by:
  `init0` in class `GridClientConnectionManagerAdapter`
Throws:
  `GridClientException` - In case of error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018